haskell-hoogle (5.0.18.3+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Declare compliance with Debian policy 4.6.1

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Aug 2022 09:03:36 +0300

haskell-hoogle (5.0.18.1+dfsg1-2) unstable; urgency=medium

  * Revert upstream pull request 339 (Addresses: #971832)
    to fix an armhf corruption bug (see upstream issue #359)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 May 2021 09:37:01 +0200

haskell-hoogle (5.0.18.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 May 2021 08:18:33 +0200

haskell-hoogle (5.0.18+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 21 Aug 2020 09:39:56 +0300

haskell-hoogle (5.0.17.15+dfsg1-2) unstable; urgency=medium

  * Add libghc-setlocale-doc to autopkgtest test dependencies of
    install-remove (Closes: #911536)

 -- itd <itd@net.in.tum.de>  Sat, 01 Aug 2020 10:20:13 +0000

haskell-hoogle (5.0.17.15+dfsg1-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 22 Jun 2020 20:01:13 -0400

haskell-hoogle (5.0.17.3+dfsg1-5) unstable; urgency=medium

  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:47:33 +0300

haskell-hoogle (5.0.17.3+dfsg1-4) unstable; urgency=medium

  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:11:09 +0300

haskell-hoogle (5.0.17.3+dfsg1-3) unstable; urgency=low

  * Re-upload, because of failed previous upload.

 -- Sven Bartscher <kritzefitz@debian.org>  Thu, 02 Aug 2018 16:46:46 +0200

haskell-hoogle (5.0.17.3+dfsg1-2) unstable; urgency=low

  * Repack to remove embedded copies of libjs-jquery-cookie and
    libjs-chosen that had been accidentally shipped in the last versions.

 -- Sven Bartscher <kritzefitz@debian.org>  Thu, 02 Aug 2018 07:47:53 +0200

haskell-hoogle (5.0.17.3-1) unstable; urgency=medium

  * Set Rules-Requires-Root to no.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Wed, 04 Jul 2018 17:42:18 -0400

haskell-hoogle (5.0.17.2-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 16:09:49 -0400

haskell-hoogle (5.0.14+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Clint Adams <clint@debian.org>  Thu, 28 Dec 2017 14:40:35 -0500

haskell-hoogle (5.0.13+dfsg1-1) unstable; urgency=medium

  [ Sean Whitton ]
  * New upstream release

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 05 Nov 2017 13:04:21 +0200

haskell-hoogle (5.0.12+dfsg1-1) unstable; urgency=medium

  * New upstream release (Closes: #869239, #869238)
  * Update Homepage field in d/control file
  * Update d/copyright file (bump Copyright years)
  * Drop generate_from_multiple_sources patch, applied upstream
  * Drop new-src-exts patch, fixed in newer version
  * Update patches to apply cleanly
  * Bump Standards-Version to 4.0.0, no changes needed

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 23 Jul 2017 11:17:50 +0300

haskell-hoogle (5.0.1+dfsg1-3) unstable; urgency=medium

  * Relax dependencies for new src-exts. 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 21 Jul 2017 19:35:28 +0200

haskell-hoogle (5.0.1+dfsg1-2) unstable; urgency=medium

  * Add missing dependency on libghc-js-jquery-data.
  * Depend on newer version of libjs-chosen.
    This newer version also uses the chosen-sprite@2x.png file.

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Thu, 22 Dec 2016 15:09:00 +0200

haskell-hoogle (5.0.1+dfsg1-1) unstable; urgency=medium

  * Remove obsolete d/jquery_1.7.2+dfsg.orig.tar.gz file.
  * Remove pre-compiled keyword hoogle database.
    This file is not compatible with the latest version of hoogle.
  * Remove all Debian patches.
    They are obsolete and do not apply to the latest version of hoogle.
  * Remove obsolete d/files_hoogle/hoogle.png file.
    Upstream now ship their own logo.
  * Update Copyright notices.
    - Rename `hoogle license' to `BSD-3-clause'.
    - Rename `MIT' to `Expat'.
    - Bump Copyright years.
    - Add missing files.
  * Patch hoogle to accept the `--local' flag more than once.
    This enables hoogle to generate docs for more than one packages
    at the same database. Debian uses this in the update-hoogle command.
  * Rewrite `update-hoogle' script to work with the latest version.
  * Patch hoogle to use the Debian database by default.
  * Remove CGI settings (Closes: #773781).
    Hoogle 4 was a CGI binary, served through Apache, while Hoogle 5
    is a Haskell Warp server.
    Document the above change in d/NEWS.
  * Cleanup the d/rules file.
  * Update hoogle's manpage.
  * Remove duplicate packages from build-depends field.
  * Remove unused `binary-or-shlib-defines-rpath' lintian override.
  * Remove embedded copies of libjs-jquery-cookie and libjs-chosen.

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Sun, 30 Oct 2016 16:22:31 +0200

haskell-hoogle (5.0.1-2) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:34:10 -0400

haskell-hoogle (5.0.1-1) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Fri, 07 Oct 2016 20:25:02 -0400

haskell-hoogle (4.2.43-3) unstable; urgency=medium

  * Revert previous change; instead, use libghc-setlocale-doc rather than
    libghc-void-doc for autopkgtests, since Data.Void is now in ghc.

 -- Colin Watson <cjwatson@debian.org>  Fri, 29 Jan 2016 15:39:35 +0000

haskell-hoogle (4.2.43-2) unstable; urgency=medium

  * Don't fail the install-remove autopkgtest if libghc-void-doc isn't
    installed to start with (possible since hoogle doesn't depend on it).

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Jan 2016 19:45:01 +0000

haskell-hoogle (4.2.43-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 23:45:25 -0500

haskell-hoogle (4.2.41-4) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:34 -0500

haskell-hoogle (4.2.41-3) experimental; urgency=medium

  * Add lintian override for spurious rpaths

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 15:49:46 +0200

haskell-hoogle (4.2.41-2) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:50 +0200

haskell-hoogle (4.2.41-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 13 Jun 2015 19:12:09 +0200

haskell-hoogle (4.2.33-5) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental
  * Do not depend on transformers, which now comes with GHC

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 20:31:50 +0100

haskell-hoogle (4.2.33-4) unstable; urgency=medium

  * Make the trigger -noawait, to avoid trigger cycles, as recommended by
    Guillem Jover (Closes: #772867)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 13 Dec 2014 14:05:12 +0100

haskell-hoogle (4.2.33-3) unstable; urgency=medium

  * Demote Recommends: apache2 to suggests (Closes: #768447)

 -- Joachim Breitner <nomeata@debian.org>  Fri, 07 Nov 2014 15:54:40 +0100

haskell-hoogle (4.2.33-2) unstable; urgency=medium

  * Switch from embedded to packaged jquery
  * Fix Vcs-* fields to point to anonscm
  * Fix autopkgtests definition to eliminate spurious failures
  * Rework the database generation so that it doesn't download files from
    the internet, making it (again) hermetic (Closes: #756334).

 -- Iustin Pop <iustin@debian.org>  Sun, 21 Sep 2014 21:14:14 +0200

haskell-hoogle (4.2.33-1) unstable; urgency=medium

  [ Joachim Breitner ]
  * New upstream release

  [ Colin Watson ]
  * Refresh add-local-location-database.patch.

 -- Colin Watson <cjwatson@debian.org>  Fri, 04 Jul 2014 00:13:14 +0100

haskell-hoogle (4.2.26-3) unstable; urgency=medium

  * Do not use "set -x" in autopkgtests.

 -- Joachim Breitner <nomeata@debian.org>  Fri, 09 May 2014 00:14:08 +0200

haskell-hoogle (4.2.26-2) unstable; urgency=medium

  * Add two simple autopkgtests, to have this checked by http://ci.debian.net/

 -- Joachim Breitner <nomeata@debian.org>  Thu, 01 May 2014 16:52:42 +0200

haskell-hoogle (4.2.26-1) unstable; urgency=medium

  * New upstream release
  * Drop fix-extract-tarball patch. It's already merged.
  * Refresh add-local-loction-database.patch
  * Fix apache2-reverse-dependency-uses-obsolete-directory
  * Bump Standards-Version to 3.9.5 without any changes

 -- Raúl Benencia <rul@kalgan.cc>  Thu, 13 Mar 2014 16:25:24 -0300

haskell-hoogle (4.2.23-3) unstable; urgency=low

  * Brown paper bag bug in update-hoogle

 -- Joachim Breitner <nomeata@debian.org>  Wed, 06 Nov 2013 17:01:39 +0100

haskell-hoogle (4.2.23-2) unstable; urgency=low

  * Ignore dead links and dont fail postinst if no hoogle databases were found
    (Closes: 711596)

 -- Joachim Breitner <nomeata@debian.org>  Wed, 06 Nov 2013 09:51:23 +0100

haskell-hoogle (4.2.23-1) unstable; urgency=low

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Raúl Benencia ]
  * New upstream release
  * Remove obsolete DM-Upload-Allowed control field
  * Add fix-extract-tarball.patch
  * Depend on haskell-src-exts 1.14

 -- Raúl Benencia <rul@kalgan.cc>  Mon, 28 Oct 2013 16:36:14 -0300

haskell-hoogle (4.2.16-3) unstable; urgency=low

  * Update debian/files_hoogle/keyword.txt from
    http://www.haskell.org/haskellwiki/Keywords; the new version is
    ASCII-only so works even in the C locale (closes: #711596).

 -- Colin Watson <cjwatson@debian.org>  Fri, 21 Jun 2013 23:45:31 +0100

haskell-hoogle (4.2.16-2) unstable; urgency=low

  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:56 +0200

haskell-hoogle (4.2.16-1) experimental; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 10 Apr 2013 12:37:01 +0200

haskell-hoogle (4.2.15-2) experimental; urgency=low

  * Resurrect add-local-loction-database.patch

 -- Joachim Breitner <nomeata@debian.org>  Sun, 17 Feb 2013 17:34:13 +0100

haskell-hoogle (4.2.15-1) experimental; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 08 Feb 2013 20:50:25 +0100

haskell-hoogle (4.2.14-1) experimental; urgency=low

  [ Kiwamu Okabe ]
  * Collect txt files from /usr/lib/ghc-doc/hoogle/ dir.
  * ITP (Closes: #687272 #533175)

  [ Joachim Breitner ]
  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * Ship debian/jquery_1.7.2+dfsg.orig.tar.gz to satisfy DFSG #1 with regard
    to the embedded jquery copy.

 -- Joachim Breitner <nomeata@debian.org>  Sun, 06 Jan 2013 11:32:57 +0100

haskell-hoogle (4.2.10-1) unstable; urgency=low

  * Debianization generated by cabal-debian

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Sat, 08 Sep 2012 18:15:44 +0900
